Summary: finite element system with CAD-like environment.
Name: felt
Version: 3.05
Release: 3m
Group: Applications/Engineering
License: GPL
URL: http://felt.sourceforge.net/
Source: http://telia.dl.sourceforge.net/sourceforge/felt/%{name}-%{version}.src.tar.gz
Patch1: felt-3.05_conf.patch
Patch2: felt-3.05-multiline-string.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

NoSource:0

%description
FElt is a free system for introductory level finite element analysis. It is
primarily intended as a teaching tool for introductory type courses in
finite elements - probably in the mechanical/structural/civil fields.
In a command line environment, FElt uses an intuitive, straightforward input
syntax to describe problems. It also includes a graphical user interface for
workstations that allows the user to set-up the problem in a CAD-like
environment.


%prep

%setup -q -n FElt-%{version}
%patch1 -p1
%patch2 -p1

%build
./configure --prefix=%{_prefix} --ccopts=\""%{optflags}"\"
%make

%install
rm -rf %{buildroot}

make DESTDIR=%{buildroot} install

mkdir Burlap
mv src/Burlap/Examples Burlap
mkdir Corduroy
mv src/Corduroy/Examples Corduroy

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README README.old TODO CHANGELOG COPYING FAQ FAQ.html
%doc -P examples
%doc -P Burlap/Examples Corduroy/Examples
%{_bindir}/*
%{_datadir}/felt/
%{_mandir}/*/*
/usr/X11R6/lib/X11/app-defaults/Velvet

%changelog
* Sun Jul 20 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.05-3m)
- fix multiline string

* Sun May 19 2002 Yoshito Ohta <ohta@kondara.org>
- (3.05-2k)
- fixed License tag.
- fixed Source tag.

* Mon Apr 22 2002 Yoshito Ohta <ohta@kondara.org>
- (3.05-0.0000000k)
- Port from MLD5
- felt-3.05_conf.patch - MLD5 (Science-Pack Vol.1)

* Mon Apr  2 2001 KAWAMURA Masao <kawamura@mlb.co.jp>
- build for MLD5.
